package ru.kovbasa.playwright;

import com.google.inject.Inject;
import com.google.inject.Provider;
import com.microsoft.playwright.Page;

public class PlaywrightPageProvider implements Provider<Page> {

    private final TestResources resources;

    @Inject
    public PlaywrightPageProvider(TestResources resources) {
        this.resources = resources;
    }

    @Override
    public Page get() {
        return resources.getPage();
    }
}
